run-test.sh

来自「dbus源码」· Shell 代码 · 共 35 行

SH
35
字号
#! /bin/shie(){    if ! test -z "$DBUS_SESSION_BUS_PID" ; then        echo "killing message bus "$DBUS_SESSION_BUS_PID >&2        kill -9 $DBUS_SESSION_BUS_PID    fi    echo $SCRIPTNAME: $* >&2    exit 1}SCRIPTNAME=$0MODE=$1## so the tests can complain if you fail to use the script to launch themexport DBUS_TEST_NAME_RUN_TEST_SCRIPT=1# Rerun ourselves with tmp session bus if we're not alreadyif test -z "$DBUS_TEST_NAME_IN_RUN_TEST"; then  DBUS_TEST_NAME_IN_RUN_TEST=1  export DBUS_TEST_NAME_IN_RUN_TEST  exec $DBUS_TOP_SRCDIR/tools/run-with-tmp-session-bus.sh $SCRIPTNAME $MODEfi echo "running test-names"libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-names || die "test-client failed"echo "running test-pending-call-dispatch"libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-dispatch || die "test-client failed"echo "running test-threads-init"libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-threads-init || die "test-client failed"

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?